/*
 * This File is one of the examples from Java Application Development
 * Do not reproduce this code for others or use it in a commercial setting without prior permission from the author.
 */
package examples;

import java.nio.file.Path;
import java.nio.file.Paths;

/**
 *
 * @author Matthew Gregory
 * @website www.matthewgregory-author.com.au
 *
 */
public class BasicPathMethods {

    public static void main(String[] args) {
        Path p1 = Paths.get("mydatasource");
        System.out.println("getFileName: "+p1.getFileName());
        System.out.println("getParent: "+p1.getParent());
        System.out.println("getNameCount: "+p1.getNameCount());
        System.out.println("getRoot: "+p1.getRoot());
        System.out.println("isAbsolute: "+p1.isAbsolute());
        System.out.println("toAbsolutePath: "+p1.toAbsolutePath());
        System.out.println("toURI: "+p1.toUri());
    }
}
